﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes( 'xhtml' ); ?>>

<head>

<title>&#x202B;<?php bloginfo('name'); ?><?php wp_title(); ?>&#x202C;</title>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/img/fav.ico" />
<link rel="stylesheet" type="text/css" media="screen" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<meta name="designerUrl" content="http://mandegarweb.com/" />
<meta name="seo" content="http://packcenter.info/" />
<!--[if IE]> <script> (function() { var html5 = ("abbr,article,aside,audio,canvas,datalist,details," + "figure,footer,header,hgroup,mark,menu,meter,nav,output," + "progress,section,time,video").split(','); for (var i = 0; i < html5.length; i++) { document.createElement(html5[i]); } try { document.execCommand('BackgroundImageCache', false, true); } catch(e) {} })(); </script> <![endif]-->
<?php
$header_image = get_header_image();
if ( ! empty( $header_image ) ) { ?>
<style type="text/css">
#header{background: url(<?php header_image(); ?>) no-repeat scroll center top #292929;}
</style>
<?php } else { ?>
<style type="text/css">
#header{background: url(<?php bloginfo('template_directory'); ?>/img/headers/default.png) no-repeat scroll center top #292929;}
</style>
<?php }

if ( is_singular() ) wp_enqueue_script( "comment-reply" );
wp_head(); ?>

</head>

<body <?php body_class(); ?> >
	<div id="body-wrapper">
		<div id="outer-wrapper">
			<div id="wrap2">
				<div id="header-wrapper">
					<div class="header section" id="header">
						<div class="widget Header" id="Header1">
							<div id="header-inner">
								<div class="titlewrapper">
									<h1 class="title"><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
								</div>
								<div class="descriptionwrapper">
									<h2 class="description"><span><?php bloginfo('description');?></span></h2>
								</div>
							</div>
						</div>
					</div>
<div class="header section" id="header2"></div>
<div style="clear:both;"></div>
				</div>
<div class="span-24">
<?php wp_nav_menu( array( 'theme_location' => 'primary','fallback_cb'=> 'mandegarweb_pm','items_wrap' => '<div class="menu-secondary-wrap"><ul class="menus menu-secondary">%3$s</ul></div>' ) ); ?>
</div>
<div style="clear:both;"></div>