<?php
 
/* Copyright 2010 Steven de Salas  (email : steven@desalasworks.com) */

function wp_http_compression() {
	
	// Dont use on Admin HTML editor
	if (stripos($uri, '/js/tinymce') !== false) 
		return false;
		
	// Check if ob_gzhandler already loaded
	if (ini_get('output_handler') == 'ob_gzhandler')
		return false;
		
	// Load HTTP Compression if correct extension is loaded
	if (extension_loaded('zlib')) 
			if(!ob_start("ob_gzhandler")) ob_start();
}
add_action('init', 'wp_http_compression');

?>