<?php
add_action( 'after_setup_theme', 'mandegarweb_setup' );
if ( ! function_exists('mandegarweb_setup') ):
/**
* @uses add_custom_image_header() To add support for a custom header.
* @uses register_default_headers() To register the default custom header images provided with the theme.
*
* @since 3.0.0
*/
function mandegarweb_setup() {
define( 'HEADER_TEXTCOLOR', '' );
define( 'HEADER_IMAGE_WIDTH', apply_filters( 'mandegarweb_header_image_width', 950 ) );
define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'mandegarweb_header_image_height',	250 ) );
set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
define( 'NO_HEADER_TEXT', true );
add_custom_image_header( '', 'mandegarweb_admin_header_style' );
register_default_headers( array (
'default' => array (
'url' => '%s/img/headers/1.png',
'thumbnail_url' => '%s/img/headers/default.png',
'description' => __( 'default', 'mandegarweb' )
),
'1' => array (
'url' => '%s/img/headers/1.png',
'thumbnail_url' => '%s/img/headers/1.png',
'description' => __( '1', 'mandegarweb' )
),
'2' => array (
'url' => '%s/img/headers/2.png',
'thumbnail_url' => '%s/img/headers/2.png',
'description' => __( '2', 'mandegarweb' )
),
'3' => array (
'url' => '%s/img/headers/3.png',
'thumbnail_url' => '%s/img/headers/3.png',
'description' => __( '3', 'mandegarweb' )
),
'4' => array (
'url' => '%s/img/headers/4.png',
'thumbnail_url' => '%s/img/headers/4.png',
'description' => __( '4', 'mandegarweb' )
),
'5' => array (
'url' => '%s/img/headers/5.png',
'thumbnail_url' => '%s/img/headers/5.png',
'description' => __( '5', 'mandegarweb' )
),
'6' => array (
'url' => '%s/img/headers/6.png',
'thumbnail_url' => '%s/img/headers/6.png',
'description' => __( '6', 'mandegarweb' )
),
'7' => array (
'url' => '%s/img/headers/7.png',
'thumbnail_url' => '%s/img/headers/7.png',
'description' => __( '7', 'mandegarweb' )
),
'8' => array (
'url' => '%s/img/headers/8.png',
'thumbnail_url' => '%s/img/headers/8.png',
'description' => __( '8', 'mandegarweb' )
),
'9' => array (
'url' => '%s/img/headers/9.png',
'thumbnail_url' => '%s/img/headers/9.png',
'description' => __( '9', 'mandegarweb' )
),
'10' => array (
'url' => '%s/img/headers/10.png',
'thumbnail_url' => '%s/img/headers/10.png',
'description' => __( '10', 'mandegarweb' )
),
'11' => array (
'url' => '%s/img/headers/11.png',
'thumbnail_url' => '%s/img/headers/11.png',
'description' => __( '11', 'mandegarweb' )
),
'12' => array (
'url' => '%s/img/headers/12.png',
'thumbnail_url' => '%s/img/headers/12.png',
'description' => __( '12', 'mandegarweb' )
),
'13' => array (
'url' => '%s/img/headers/13.png',
'thumbnail_url' => '%s/img/headers/13.png',
'description' => __( '13', 'mandegarweb' )
),
'14' => array (
'url' => '%s/img/headers/14.png',
'thumbnail_url' => '%s/img/headers/14.png',
'description' => __( '14', 'mandegarweb' )
),
'15' => array (
'url' => '%s/img/headers/15.png',
'thumbnail_url' => '%s/img/headers/15.png',
'description' => __( '15', 'mandegarweb' )
),
'16' => array (
'url' => '%s/img/headers/16.png',
'thumbnail_url' => '%s/img/headers/16.png',
'description' => __( '16', 'mandegarweb' )
),
'17' => array (
'url' => '%s/img/headers/17.png',
'thumbnail_url' => '%s/img/headers/17.png',
'description' => __( '17', 'mandegarweb' )
),
'18' => array (
'url' => '%s/img/headers/18.png',
'thumbnail_url' => '%s/img/headers/18.png',
'description' => __( '18', 'mandegarweb' )
)
) );
}
endif;
if ( ! function_exists( 'mandegarweb_admin_header_style' ) ) :
function mandegarweb_admin_header_style() {
?>
<style type="text/css">
#headimg {
height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
}
#headimg h1, #headimg #desc {
display: none;
}
</style>
<?php
}
endif;
?>